//+------------------------------------------------------------------+
//|                                                  Trend Alert.mq4 |
//|                                      Copyright  2008, Andy West |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Andy West"
#property link      ""

#property indicator_chart_window
extern int Hit_Within = 100;
int trendhit = 0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
        
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){

   //while (!IsStopped())
   {

      //Comment("\n\Trend Line Alert running ", TimeToStr(TimeLocal(), TIME_DATE|TIME_SECONDS));
      for(int i = ObjectsTotal()-1; i >= 0; i--)
      {
        string name = ObjectName(i);
         if(ObjectType(name) == OBJ_TREND)
         {
            double value = ObjectGetValueByShift(name, 0);
            
            if(Bid <= value + Hit_Within*Point && Bid >= value -Hit_Within*Point && (trendhit == 0))
                        {
               PlaySound("Alert.wav");
                 Alert(Symbol()+" TRENDLINE IS, WITHIN: "+Hit_Within+", PIPS ON TF: M"+Period()+" @"+DoubleToStr(iClose(NULL,PERIOD_D1,0),Digits));
                 SendMail(Symbol()  + ", TRENDLINE ALERT",Symbol()  + " TRENDLINE IS, WITHIN: "+Hit_Within+", PIPS ON TF: M"+Period()+" @"+DoubleToStr(iClose(NULL,PERIOD_D1,0),Digits));
                           
                                  trendhit = 1;
            }
         }
      }
     
   }
   return(0);
}
//+------------------------------------------------------------------+